Update Referral
curl --request PATCH \
--url https://api.example.com/contests/referral/{contest_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"title": "<string>",
"description": "<string>",
"prize_text": "<string>",
"contest_type": "<string>",
"start_at": "2023-11-07T05:31:56Z",
"end_at": "2023-11-07T05:31:56Z",
"daily_summary_time": "<string>",
"daily_summary_times": "<string>",
"timezone": "<string>",
"is_active": true,
"final_summary_sent": true,
"created_by": 123
}
'import requests
url = "https://api.example.com/contests/referral/{contest_id}"
payload = {
"title": "<string>",
"description": "<string>",
"prize_text": "<string>",
"contest_type": "<string>",
"start_at": "2023-11-07T05:31:56Z",
"end_at": "2023-11-07T05:31:56Z",
"daily_summary_time": "<string>",
"daily_summary_times": "<string>",
"timezone": "<string>",
"is_active": True,
"final_summary_sent": True,
"created_by": 123
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
prize_text: '<string>',
contest_type: '<string>',
start_at: '2023-11-07T05:31:56Z',
end_at: '2023-11-07T05:31:56Z',
daily_summary_time: '<string>',
daily_summary_times: '<string>',
timezone: '<string>',
is_active: true,
final_summary_sent: true,
created_by: 123
})
};
fetch('https://api.example.com/contests/referral/{contest_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"title": "<string>",
"contest_type": "<string>",
"start_at": "2023-11-07T05:31:56Z",
"end_at": "2023-11-07T05:31:56Z",
"daily_summary_time": "<string>",
"timezone": "<string>",
"is_active": true,
"final_summary_sent": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"prize_text": "<string>",
"daily_summary_times": "<string>",
"last_daily_summary_date": "2023-12-25",
"last_daily_summary_at": "2023-11-07T05:31:56Z",
"created_by": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}contests
Update Referral
Обновление реферального конкурса.
PATCH
/
contests
/
referral
/
{contest_id}
Update Referral
Authorizations
Path Parameters
Body
application/json
Minimum string length:
1Список времён ЧЧ:ММ через запятую
Response
Successful Response
⌘I
